
Redmine - Defect #5346

Internal error 500 when updating an existing issue

2010-04-19 11:50 - Arturo Díaz-Almagro

Status: Closed Start date: 2010-04-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I posted this same error on the forum previosly to put it as an issue. Since last friday I got no answer so I guessed nobody knows

about the problem.

The behaviour is the next:

1. Create a new issue.

2. Modify the issue inserting a note text and save.

3. After saving, the browser shows a Internal Error (500) web page.

If you go to the Issues tab and press on that issue you get the same error page. Apparently, the modifications are saved into the

database.

Processing IssuesController#show (for 193.147.53.229 at 2010-04-19 11:43:21) [GET]

  Parameters: {"action"=>"show", "id"=>"13", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/show.rhtml

ActionView::TemplateError (undefined local variable or method `issue' for #<ActionView::Base:0x7f2

6df0ce178>) on line #16 of app/views/issues/_history.rhtml:

13:       <% end %>

14:     </ul>

15:     <% end %>

16:     <%= render_notes(issue, journal, :reply_links => reply_links) unless journal.notes.blank? 

%>

17:   </div>

18:   <%= call_hook(:view_issues_history_journal_bottom, { :journal => journal }) %>

19: <% end %>

    app/views/issues/_history.rhtml:16:in `_run_rhtml_app47views47issues47_history46rhtml_locals_h

istory_journals_object'

    app/views/issues/_history.rhtml:2:in `each'

    app/views/issues/_history.rhtml:2:in `_run_rhtml_app47views47issues47_history46rhtml_locals_hi

story_journals_object'

    vendor/plugins/advanced_roadmap/app/views/issues/show.rhtml:94:in `_run_rhtml_vendor47plugins4

7advanced_roadmap47app47views47issues47show46rhtml'

    app/controllers/issues_controller.rb:120:in `show'

    app/controllers/issues_controller.rb:119:in `show'

    passenger (2.2.11) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

    passenger (2.2.11) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

    passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:418:in `start_request_ha

ndler'

    passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_app

lication'

    passenger (2.2.11) lib/phusion_passenger/utils.rb:184:in `safe_fork'

    passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_app

lication'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:163:in `start'

    passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

    passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'
    passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

    passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

    passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

    passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /opt/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2010-04-19 11:52 - Arturo Díaz-Almagro

Just made 

git pull

and the same problem. Revision information:   

remote: Counting objects: 52, done.

remote: Compressing objects: 100% (28/28), done.

remote: Total 29 (delta 22), reused 0 (delta 0)

Unpacking objects: 100% (29/29), done.

From git://github.com/edavis10/redmine

   3bf6790..0004b52  master     -> origin/master

Updating 3bf6790..0004b52

Fast forward

 app/controllers/issues_controller.rb              |    9 +--------

 app/models/issue.rb                               |   16 ++++++++++++++++

 app/views/groups/_users.html.erb                  |    2 +-

 app/views/projects/settings/_members.rhtml        |    2 +-

 public/stylesheets/application.css                |    2 ++

 test/unit/issue_test.rb                           |   17 +++++++++++++++++

 vendor/plugins/acts_as_event/lib/acts_as_event.rb |   10 +++++++++-

 7 files changed, 47 insertions(+), 11 deletions(-)

#2 - 2010-04-20 20:49 - Arturo Díaz-Almagro

Updated from GIT repository on April, 20th:

remote: Counting objects: 34, done.

remote: Compressing objects: 100% (23/23), done.

remote: Total 23 (delta 16), reused 0 (delta 0)

Unpacking objects: 100% (23/23), done.

From git://github.com/edavis10/redmine

   0004b52..0fc884c  master     -> origin/master

Updating 0004b52..0fc884c

Fast forward

 app/controllers/queries_controller.rb       |    8 +--

 app/models/query.rb                         |   15 ++++

 test/functional/admin_controller_test.rb    |    7 --

 test/functional/issues_controller_test.rb   |   14 ----

 test/functional/users_controller_test.rb    |   80 ---------------------

 test/functional/versions_controller_test.rb |   11 ---

 test/functional/wiki_controller_test.rb     |  100 ---------------------------

 test/integration/routing_test.rb            |   46 ++++++++++++

 8 files changed, 63 insertions(+), 218 deletions(-)

 and got the same error

#3 - 2010-04-20 22:20 - Holger Just

Looks like a duplicate of #5113.

Obviously your installed Advanced Roadmap Plugin which overwrites app/views/issues/show.rhtml is not fully compatible with the latest changes in

trunk. Either update that plugin or file a bug report to the original plugin author. This is not an issue with Redmine core!

#4 - 2010-04-21 10:47 - Arturo Díaz-Almagro
https://www.redmine.org/issues/5113


- Status changed from New to Resolved

Yep, you are right. I tried to remove all plugins and check that is the advanced roadmap plugin which is causing troubles. I will report to the

developers.

Sorry.

#5 - 2010-04-21 12:38 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

#6 - 2010-05-17 15:11 - Wael Nasreddine

- File fix-advanced-roadmap.patch added

I'm not re-opening this issue, but I'm just going to upload a patch that resolve this issue (saving other people's time)

I posted the patch upstream too http://ociotec.com/redmine/issues/262

Files

fix-advanced-roadmap.patch 526 Bytes 2010-05-17 Wael Nasreddine
